Package: groovy.org.codenarc.rule.security

## [Groovy] Class PublicFinalizeMethodRule

- groovy.org.codenarc.rule.security.PublicFinalizeMethodRule

- Creates a violation when the program violates secure coding principles by declaring a finalize() method public.

  Authors:
    Hamlet D'Arcy

- - ### Properties Summary

    Properties
    Type | Name and description
    --- | ---
    `Class` | `astVisitorClass`
    `String` | `name`
    `int` | `priority`

- - ### Property Detail

    - #### Class astVisitorClass

    - #### String name

    - #### int priority